### Hierarchy

- INode

### Implemented by

- Node

## Index

### Properties

- address
- advertisement
- hostName
- id
- isMaster
- isMasterEligible
- unicastPort
- weight

## Properties

### address

address: string

- Defined in discover.ts:18

### advertisement

advertisement: any

- Defined in discover.ts:24

### hostName

hostName: string

- Defined in discover.ts:20

### id

id: string

- Defined in discover.ts:17

### isMaster

isMaster: boolean

- Defined in discover.ts:21

### isMasterEligible

isMasterEligible: boolean

- Defined in discover.ts:22

### unicastPort

unicastPort: number

- Defined in discover.ts:19

### weight

weight: number

- Defined in discover.ts:23

Generated using TypeDoc